PLVPAS(3)

NAME
plvpas - Specify viewport using coordinates and aspect ratio

SYNOPSIS
plvpas(xmin, xmax, ymin, ymax, aspect)

DESCRIPTION

Device-independent routine for setting up the viewport. The viewport is chosen to be the largest with the given aspect ratio that fits within the specified region (in terms of normalized subpage coordinates). This routine is functionally equivalent to plvpor(3) when a ``natural'' aspect ratio (0.0) is chosen. Unlike plvasp(3), this routine reserves no extra space at the edges for labels.

Redacted form: plvpas(xmin, xmax, ymin, ymax, aspect)

This function is used in example 9.

ARGUMENTS

xmin (PLFLT(3), input)
    The normalized subpage coordinate of the left-hand edge of the viewport.

xmax (PLFLT(3), input)
    The normalized subpage coordinate of the right-hand edge of the viewport.

ymin (PLFLT(3), input)
    The normalized subpage coordinate of the bottom edge of the viewport.

ymax (PLFLT(3), input)
    The normalized subpage coordinate of the top edge of the viewport.

aspect (PLFLT(3), input)
    Ratio of length of y axis to length of x axis.

AUTHORS
Many developers (who are credited at http://plplot.sourceforge.net/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.sourceforge.net/documentation.php.